@import "defaults.css";

body {
    padding: 0.2em;
}

main {
    width: 100%;
    max-width: 1400px;
}

section {
    margin-bottom: 5em;
    word-break: break-all;
}

section h2 {
    margin: 0 0 0.5em;
    font-size: 3rem;
    color: #fff;
    text-align: center;
}

.sticky-header {
    position: sticky;
    z-index: 100;
    top: 0;
    padding-top: 2em;
    background-color: var(--background);
}

.month,
.weekdays {
    display: grid;
    /* grid-template-columns: repeat(7, minmax(100px, 1fr)); */
    grid-template-columns: repeat(7, 1fr);
}

.month > .day {
    position: relative;
    min-height: 150px;
    padding: 1em;
    border: 1px solid #444;
    background-color: #fff;

    display: flex;
    flex-direction: column;
}

.weekdays > div {
    padding: 0.8em 0.5em;
    border: 1px solid #444;
    background-color: #7CB4C4;
    font-weight: 700;
    color: #fff;
    text-align: center;
}

.corner {
    position: absolute;
    top: 0;
    left: 0;
    padding: 5px 15px;
    border-right: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
    background-color: #fff;
    font-size: 0.6rem;
    font-weight: 700;
}

.temp {
    flex: 1;
    font-size: 0.8rem;
    font-weight: 700;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.temp-low,
.temp-hi span {
    display: none;
}

.temp span {
    font-size: 0.8rem;
    font-weight: 600;
    font-style: italic;
}

.status {
    display: none;
    text-align: left;
}


/* SIDEBAR */

#preview {
    position: fixed;
    z-index: 110;
    top: 10px;
    left: 10px;
    color: #fff;
}

#open {
    position: fixed;
    z-index: 200;
    top: 10px;
    right: 10px;
    background-color: var(--button-background);
    border: 2px dashed #fff;
    border-radius: 5px;
    padding: 0.5em;
    color: #fff;
}

#open:hover {
    background-color: var(--button-background-hover);
}

#close {
    position: fixed;
    z-index: 901;
    top: 10px;
    right: 25px;
    background-color: transparent;
    color: #eee;

    opacity: 0;
    transform: translateX(100%);
    transition: opacity ease-in-out 0.5s,
                transform ease-in-out 0.5s;
}

#close:hover {
    border-bottom: 2px dashed #fff;
}

#menu {
    visibility: hidden;
}

#menu:checked ~ #close {
    opacity: 1;
    transform: translateX(0);
}

#menu:checked ~ .sidebar {
    transform: translateX(0);
}

.sidebar {
    position: fixed;
    z-index: 900;
    top: 0;
    right: 0;
    width: 400px;
    height: 100%;
    background-color: #7676CE;
    border-left: 3px dashed #444;
    padding: 1em;
    overflow-y: auto;

    transform: translateX(100%);
    transition: transform ease-in-out 0.5s;
}

.color-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    align-items: center;
    padding-bottom: 1em;
    border-bottom: 1px dashed #444;
    margin-bottom: 1em;
}

.color-grid input[type="number"] {
    width: 70px;
    padding: 0.5em;
}

.btn {
    background-color: var(--button-background);
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 0.3em 0.5em;
    font-weight: 600;
    color: #fff;
}

.btn:hover {
    background-color: var(--button-background-hover);
}

.btn.btn-remove {
    background-color: transparent;
    border: 0;
    color: #fff;
    float: right;
}

.btn.btn-update--hide {
    display: none;
}

@media screen and (min-width: 700px) {
    body {
        padding: 1em;
    }

    .temp {
        font-size: 1.5rem;
    }

    .corner {
        font-size: 0.8rem;
    }
}

@media screen and (min-width: 1100px) {
    .status,
    .temp-low,
    .temp-hi span {
        display: inline-block;
    }
}